XSLTOutInterceptor.XSLTCachedWriter (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.feature.transform, class: XSLTOutInterceptor, class: XSLTCachedWriter

Package org.apache.cxf.feature.transform

# Class XSLTOutInterceptor.XSLTCachedWriter

java.lang.Object
java.io.Writer
org.apache.cxf.io.CachedWriter
org.apache.cxf.feature.transform.XSLTOutInterceptor.XSLTCachedWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

Enclosing class:
  XSLTOutInterceptor

public static class XSLTOutInterceptor.XSLTCachedWriter extends CachedWriter

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.io.CachedWriter

  `currentStream, outputLocked`

  ### Fields inherited from class java.io.Writer

  `lock`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XSLTCachedWriter(Templates xsltTemplate, Writer origWriter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doClose()`
  Perform any actions required on stream closure (handle response etc.)

  ### Methods inherited from class org.apache.cxf.io.CachedWriter

  `close, deregisterCallback, doFlush, equals, flush, getCallbacks, getChars, getOut, getReader, getTempFile, hashCode, holdTempFile, lockOutputStream, onWrite, postClose, registerCallback, releaseTempFileHold, resetOut, setCipherTransformation, setDefaultCipherTransformation, setDefaultMaxSize, setDefaultThreshold, setMaxSize, setOutputDir, setThreshold, size, toString, write, writeCacheTo, writeCacheTo, writeCacheTo`

  ### Methods inherited from class java.io.Writer

  `append, append, append, nullWriter, write, write, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XSLTCachedWriter

    public XSLTCachedWriter(Templates xsltTemplate, Writer origWriter)

- ## Method Details

  - ### doClose

    protected void doClose()
    Description copied from class: `CachedWriter`
    Perform any actions required on stream closure (handle response etc.)
    Overrides:
      `doClose` in class `CachedWriter`